Subject: Re: bug#79173: 30.1; TRAMP simplified syntax produces empty completing-read candidates

From: Reuben Thomas <[email-masked]>
Date: Tue, 5 Aug 2025 22:39:51 +0100

On Tue, 5 Aug 2025 at 13:21, Michael Albinus <[email-masked]> wrote:

>
> Good point. Could you pls check the appended patch? Since this touches a
> macro, you must recompile first tramp.el, and afterwards tramp-sh.el.
>

Thanks very much for the patch!

I installed this patch by first installing tramp 2.8.0.1 in Emacs 30.1 from
ELPA, then applying the patch, then starting Emacs and recompiling tramp.sh
and tramp-sh.el, then restarting Emacs.

This did not quite have the expected effect.

The error from vertico was gone, but when I type a single slash at the
find-file prompt, I now get prompted to log in to an SSH host. This sounds
as though two lists have gotten out of sync: one with the empty entry, and
one without. Do let me know if I can do further investigation.

-- 
https://rrt.sc3d.org